Altibase.jdbc.driver.cm

## Class CmRdmaSocket

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmSocket
  - - Altibase.jdbc.driver.cm.CmRdmaSocket

    public class CmRdmaSocket
    extends CmSocket

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.cm.CmSocket

`INVALID_SOCKTFD, mBindAddr, mLoginTimeout`

### Constructor Summary

Constructors
Constructor and Description
`CmRdmaSocket(AltibaseProperties aProps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`CmConnType` `getConnType()`
`int` `getSocketFD()`
`int` `getSockRcvBufSize()`
`int` `getSockSndBufSize()`
`void` `open(java.net.SocketAddress aSockAddr)`
`int` `read(java.nio.ByteBuffer aBuffer)` non-blocking 모드로 JNI 내부에서 timeout 동작
`void` `setResponseTimeout(int aResponseTimeout)`
`void` `setSockRcvBufSize(int aSockRcvBufSize)`
`void` `setSockSndBufSize(int aSockSndBufSize)`
`int` `write(java.nio.ByteBuffer aBuffer)` non-blocking 모드로 JNI 내부에서 timeout 동작

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmRdmaSocket

    public CmRdmaSocket(AltibaseProperties aProps)

### Method Detail

#### getConnType

    public CmConnType getConnType()

#### open

    public void open(java.net.SocketAddress aSockAddr)
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### read

    public int read(java.nio.ByteBuffer aBuffer)
             throws java.io.IOException

non-blocking 모드로 JNI 내부에서 timeout 동작

Specified by:
  `read` in class `CmSocket`
Throws:
  `java.io.IOException`

#### write

    public int write(java.nio.ByteBuffer aBuffer)
              throws java.io.IOException

non-blocking 모드로 JNI 내부에서 timeout 동작

Specified by:
  `write` in class `CmSocket`
Throws:
  `java.io.IOException`

#### getSockSndBufSize

    public int getSockSndBufSize()

#### getSockRcvBufSize

    public int getSockRcvBufSize()

#### setSockSndBufSize

    public void setSockSndBufSize(int aSockSndBufSize)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### setSockRcvBufSize

    public void setSockRcvBufSize(int aSockRcvBufSize)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### getSocketFD

    public int getSocketFD()
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setResponseTimeout

    public void setResponseTimeout(int aResponseTimeout)